/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public License
 as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version. 

 This library is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 See the GNU Lesser General Public License for more details. 

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 MA 02110, USA
*/

#ifndef __FONT_FT_H__
#define __FONT_FT_H__    1

#include "font.h"

#if 0
#define AlgTFontFTBase  AlgTFontBase \
  bool (*PaintTo)(struct TCSelf *self, TImage *img, int x, int y, const char *s, int len);
#endif

#ifndef TFont_FT_handle
#define TFont_FT_handle void *fh
#endif
#ifndef TFont_FT_pv
#define TFont_FT_pv void *fpv
#endif

#define FONT_HANDLE	TFont_FT_handle
#define FONT_PV		TFont_FT_pv
#define TCSelf		TFont_FT
//  font_handle		//FT_Library,Face,fcache,..	Create(fontft)
//  font_pv		//Color,BackColor,UTF8on,..
typedef struct TFont_FT {
  AlgTFontFTBase
} TFont_FT;
#undef FONT_HANDLE
#undef FONT_PV
#undef TCSelf

extern TFont_FT *TFont_FT_Create(const char *FontFileName, int font_height, int font_dpi);

extern bool Font_FT_ToImage(TFont_FT *self, struct TImage *img, int x, int y, const char *s, int len);
extern bool Font_FT_StrToImage(TFont_FT *self, struct TImage *img, int x, int y, const char *s);

#endif /* __FONT_FT_H__ */
