/*
 Copyright (C) 2010 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

void get_gravity_offset(int Gravity, int width, int height, int *left, int *top) {
  int x = 0;
  int y = 0;

	switch(Gravity) {
//	case NorthWestGravity:
//		break;
	case NorthGravity:
		x = width >> 1;
		break;
	case NorthEastGravity:
		x = width;
		break;
	case WestGravity:
		y = height >> 1;
		break;
	case CenterGravity:
		x = width >> 1;
		y = height >> 1;
		break;
	case EastGravity:
		x = width;
		y = height >> 1;
		break;
	case SouthWestGravity:
		y = height;
		break;
	case SouthGravity:
		x = width >> 1;
		y = height;
		break;
	case SouthEastGravity:
		x = width;
		y = height;
		break;
	}
	*left = x;
	*top = y;
}
