/*
 Copyright (C) 2010 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "image.h"

void alpha_data8_get(TImage *self) {

	if (self->rgb565_alpha_data) return;

	int k = self->pxm_LD & pxmLD_bppMask;
	if (k == pxm_2b_16bpp) {
	    if (!self->mask_data) return;
	    self->rgb565_alpha_data = xmalloc(self->width * self->height);
  byte *sdA = self->rgb565_alpha_data;
  byte *sbm = self->mask_data;
  int mk, mask;
	    for (int y=self->height; y; y--) {
		mask = mk = 0;
		for (int x=self->width; x; x--) {
		    if (!mk) {mk = 8; mask = *sbm; sbm++;}
		    if (mask & 0x01) *sdA++ = 255; else *sdA++ = 0;
		}
	    }

	} else if ((k == pxm_4b_24bpp)||(k == pxm_4b_24bpp8a)) {
	    self->rgb565_alpha_data = xmalloc(self->width * self->height);
  byte *sdA = self->rgb565_alpha_data;
  byte *sb0 = self->data + 3;
	    for (int y=self->height; y; y--) {
		byte *sb = sb0;
		for (int x=self->width; x; x--) {
		    *sdA++ = *sb;
		    sb += 4;
		}
		sb0 += self->bytes_per_line;
	    }
	}
}

