/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "image.h"

void alpha_data8_set(TImage *self) {
  byte *mbA = self->rgb565_alpha_data;
	if (!mbA) return;
	
	int k = self->pxm_LD & pxmLD_bppMask;
	if ((k == pxm_4b_24bpp)||(k == pxm_4b_24bpp8a)) {
  byte *db0 = self->data + 3;
	    for (int y=self->height; y; y--) {
		byte *db = db0;
		for (int x=self->width; x; x--) {
		    *db = *mbA++;
		    db += 4;
		}
		db0 += self->bytes_per_line;
	    }
	}
	self->stat |= pmxStat_has_alpha;
}
