/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"
#include "tpixmap.h"

static TDecor *TDecor_Create_dup(TDecor **OrgDecor) {
  TDecor *deco;

	if (!OrgDecor) return NULL;
	deco = ttc_create(sizeof(TDecor), wtyp_TDecor);
	pnmove(deco, *OrgDecor, sizeof(TDecor));
	deco->wtyp = wtyp_TDecorDup;
	deco->stat = 0;
	deco->backpxm = NULL;
	deco->DecorDup = OrgDecor;
	deco->DecorLastDup = *OrgDecor;
	return deco;
}

TDecor *TDecor_Create(void *dat) {
  TDecor *deco;

	deco = ttc_create(sizeof(TDecor), wtyp_TDecor);

	deco->CreateDup = TDecor_Create_dup;
	deco->DecorDat = dat;
	return deco;
}

TDecor *TDecor_dup(TDecor **Decor) {
	if (!Decor) return NULL;
  TDecor *deco = *Decor;
	if (!deco || !deco->CreateDup) return NULL;
	return deco->CreateDup(Decor);
}
