
typedef struct TRX_Dat {
  Window WinID;
  dword stat;
  dword Color;
  int width;
  int height;
  int top;
  int left;
  const TBordMaskHead *BordMaskHead;
  const int8_t *BordMaskDat;
  int Mw, Mh;
  struct TPixMap *org_pxm;
  struct TPixMap *paint_pxm;
  int dx, lx;
  int dy, ly;
  int plg;
  int xrep;
  int yrep;
  int xMoff;	//Decobix x offset
  int yMoff;	//Decobix y offset
  int sxmod;
  int dxmod;
  int cornerlg;
  ic32 bix;
  GC tgc;
  XGCValues gcv;
} TRX_Dat;

//extern void TR3AddTab_Add_RGB(char *bm, int *RGB, int x, int y);
cHIDDEN void TR3AddTab_PaintH(TRX_Dat *dat);
cHIDDEN void TR3AddTab_PaintHL(TRX_Dat *dat);
cHIDDEN void TR3AddTab_PaintVL(TRX_Dat *dat);
cHIDDEN bool decor_paintBR2_5(TRX_Dat *dat);
cHIDDEN void decor_RegionBR2_5(TRX_Dat *dat, int *stat);
