/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

bool file_open_rdwr_ae(const char *fn, FileHandle *fd, int err_level) {
  TNetErrRet ErrRet;

	net_err_init(&ErrRet);
	if (file_open_rdwr(fn, &ErrRet, fd)) return True;
	net_err_app_4(&ErrRet, fn, "open_rdwr", err_level);
	net_err_clr(&ErrRet);
	return False;
}
