
#define ndcstat_DelMk 1
typedef struct TNetDataCache {
  struct TNetDataCache *next;
  const char *name;  //name in st
  dword stat;
  Tstat64 st[0];
} TNetDataCache;

#define ndcfu_ADD 1
#define ndcfu_CHANGE 2
#define ndcfu_DEL 3
typedef void (*TNetCacheEv)(void *obj, TNetDataCache *dc, int fu);
//typedef void (*TNetCache_DelEv)(TglobPath *gp, void *obj);

cHIDDEN TNetDataCache *FtpCache_add_dc_st(TNetDataCache **ppdc, Tstat64 *st, int *ndcfu);
cHIDDEN void FtpCache_Clr_dc(TNetDataCache **ppdc);
cHIDDEN void FtpCache_Clr_dc_all(TNetDataCache **ppdc);

cHIDDEN void FtpCache_Sync_dc(TglobPath *gp, TNetDataCache **sync_ppdc);

cHIDDEN TNetDataCache *FtpCache_get_dc(TglobPath *gp);
cHIDDEN TNetDataCache *FtpCache_get_dc0(TglobPath *gp);
cHIDDEN TNetCache_DelEv FtpCache_AddEv(TglobPath *gp, void *obj, TNetCacheEv CacheEv);

cHIDDEN void FtpCache_ClrAll();

cHIDDEN void FtpCache_add_st(TglobPath *gp, Tstat64 *st, bool sendEv);
cHIDDEN void FtpCache_chklnk(TglobPath *gp, bool sendEv);
cHIDDEN void FtpCache_rename(TglobPath *gp, const char *new_name, bool sendEv);
cHIDDEN bool FtpCache_mv(TglobPath *gp, TglobPath *new_gp, bool sendEv);
cHIDDEN void FtpCache_chmod(TglobPath *gp, int mode, int mask);
cHIDDEN void FtpCache_mtime(TglobPath *gp, time_t mtime);

cHIDDEN void FtpCache_Clr_name(TglobPath *gp, bool sendEv);
cHIDDEN void FtpCache_Clr(TglobPath *gp, bool sendEv);

cHIDDEN Tstat64 *FtpCache_get_st(TglobPath *gp);
//extern TNetDataCache *FtpCache_get_dc(TglobPath *gp);
//extern TNetDataCache *FtpCache_get_dc0(TglobPath *gp);
cHIDDEN bool FtpCache_ChkDirOk(TglobPath *gp);


//extern TNetCache_DelEv FtpCache_AddEv(TglobPath *gp, void *obj, TNetCacheEv CacheEv);
cHIDDEN void FtpCache_DelEv(TglobPath *gp, void *obj);
