/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

TExFileDat *Get_TExFileDat(Tstat64 *st, int exfdt) {
  TExFileDat *ExDat;

	if (st && exfdt) {
	    ExDat = &st->ExDat;
Loop:
	    if (ExDat->type == exfdt) {
		return ExDat;
	    } else if (!(ExDat->fu & exfdf_lastdat) && ExDat->type) {
		ExDat = (TExFileDat*)&ExDat->dat[ExDat->lg];
		goto Loop;
	    }
	}
	return NULL;
}

const char *Get_ExFileDat_pc(Tstat64 *st, int exfdt) {
  TExFileDat *ExDat = Get_TExFileDat(st, exfdt);
	if (ExDat && (ExDat->lg > 0)) return ExDat->dat;
	return NULL;
}
