/*
 Copyright (C) 2010 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/


#include "sysbase.h"
#include "sysbaseio.h"
#ifndef _OS_WIN32
 #include <sys/wait.h>
#endif

#include "media_io.h"

void *TAV_Stream_alloc(word  head_size, dword data_size, int typ) {
  TAV_Stream *avs;
  dword lg;

	lg = (data_size + 3) & 0xfffffffc;
	avs = xcalloc(head_size + lg);
	avs->styp.dw = TV_VS_STYP;	//0x20764841
	avs->ktyp = TV_VS_KTYP_V1_0;	//0xA55A5510
	avs->head_size = head_size;
	avs->data_size = data_size;
	avs->typ = typ;
	return avs;
}
