/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appbase.h"
#include "tdirlist.h"

bool TDirListObjNy_Net_Create_gp(TDirListObjNy **ppObjNy, void *owner, 
				TglobPath *gp, TOnFileMsg OnFileMsg) {
  TDirListObjNy *self;

	if (!gp || !net_chk_exist_gp(gp, findALL)) return False;
	self = TDirListObjNy_Create(owner);
	self->OnFileMsg = OnFileMsg;
	self->ppObjNy = ppObjNy;
	TDirListObjNy_Open_gp(self, gp);
	if (ppObjNy) *ppObjNy = self;
	return True;
}
