/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"
#include "xcopy_pv.h"

void xcyld_FreeFileName(TXCopy_ld *ld) {
	ppcfree(&ld->fname);
#ifdef _OS_WIN32
	ppcfree(&ld->fnameOS);
#else
	ld->fnameOS = NULL;
#endif
}

void xcyld_SetFileName(TXCopy_ld *ld) {
	xcyld_FreeFileName(ld);
	ld->fname = gptopc(&ld->gp, gptfu_noPasswd|gptfu_del_slash|gptfu_noRootArt);
#ifdef _OS_WIN32
	ld->fnameOS = path_to_local_OS(ld->fname);
#else
	ld->fnameOS = ld->fname;
#endif
}
