/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

long pclen(const char *s) {
#if defined(__x86_64__)
#if defined(__ILP32__)
  long i = 0;
 __asm__ volatile(
	"test	%1,%1 \n"
       "jz	9f \n"
	"mov	%1,%%ecx \n"
       "jmp	2f \n"
"1: \n"
	"inc	%1 \n"
"2: \n"
	"cmpb	(%1),%%al \n"
       "jnz	1b \n"
"3: \n"
	"sub	%%ecx,%1 \n"
	"mov	%1,%0 \n"
"9: \n"
		: "+r"(i)
		: "r"(s)
		: "%ecx");
	return i;
#else  /* __ILP32__ */
  long i = 0;
 __asm__ volatile(
	"test	%%rdi,%%rdi \n"
       "jz	9f \n"
	"mov	%%rdi,%%rcx \n"
       "jmp	2f \n"
"1: \n"
	"inc	%%rdi \n"
"2: \n"
	"cmpb	(%%rdi),%%al \n"
       "jnz	1b \n"
"3: \n"
	"sub	%%rcx,%%rdi \n"
	"mov	%%rdi,%0 \n"
"9: \n"
		: "+%rax"(i)
		: "r"(s)
		: "%rcx");
	return i;
#endif /*! __ILP32__ */
#else  /* __x86_64__ */
  long i = 0;
	if (s) while (*s) {i++; s++;}
	return i;
#endif
}

