/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "sysbase.h"

void cmdline_del_argv0(int *argc, char **argv) {
#ifdef _OS_WIN32
  int i, z;
#else
  int n, x, l, i, z;
  char *val, *pc;
#endif

	z = *argc;
	if (z < 2) return;
	z--;
	*argc = z;

#ifdef _OS_WIN32
	i = 0;
	for (;i<z;i++) argv[i] =  argv[i+1];
	argv[i] = NULL;
#else
	pc = argv[0];
	val = argv[1];
	n = val - pc;
	l = argv[z] - val + pclen(argv[z]);
	while (l > 0) {*pc = *val; pc++; val++; l--;} 
	x = n;
	while (x > 0) {*pc = 0; pc++; x--;} 
	for (i=1;i<z;i++) {argv[i] =  argv[i+1] - n;}
	argv[i] = NULL;
#endif
}

