/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

void cmdline_passwd_korr(char *arg) {
#ifndef _OS_WIN32
  TPathInfo pathi;
  char *pc, *pca;

	if (!get_PathInfo(arg, &pathi)) return;
	if ((pathi.fu & pathi_Local) || !pathi.URL_lg || !pathi.url_anf) return;

	pc = pathi.url_anf_s;
	while ((pathi.URL_lg > 0) && (*pc != ':')) {pc++; pathi.URL_lg--;}
	if (*pc != ':') return;

	pca = pc;
	while ((pathi.URL_lg > 0) && (*pc != '@')) {pc++; pathi.URL_lg--;}
	if (*pc != '@') return;
	pcnmove(pca, pc, pclen(pc));
#endif
}
