/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

void gp_NameToPath(TglobPath *gp) {
	if ((gp->name) && (*gp->name)) ppcadd2(&gp->path, gp->name, "/");
	ppcfree(&gp->name);
}

void gp_NameToPath_AddName(TglobPath *gp, const char *name) {
	gp_NameToPath(gp);
	gp->name = pcdup(name);
}

bool gp_PathToName(TglobPath *gp) {
  char *pc, *pca;

	ppcfree(&gp->name);
	pca = NULL;
	pc = gp->path;
	while (*pc) {
	    if ((pc[0] == '/') && pc[1]) pca = pc;
	    pc++;
	}
	if (!pca) return False;
	pca++;
	pc--;
	*pc = 0;
	gp->name = pcdup(pca);
	*pca = 0;
	return True;
}
