/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

void REGP2 gp_dup_gpdata_url(TglobPath *gp, TglobPath *gp_org) {
	gp->RootArt = pcdup(gp_org->RootArt);
	gp->URL = pcdup(gp_org->URL);
	gp->user = pcdup(gp_org->user);
	gp->passwd = pcdup(gp_org->passwd);
	gp->fu = gp_org->fu;
	gp->path = gp->name = NULL;
}

void REGP2 gp_dup_gpdata_path(TglobPath *gp, TglobPath *gp_org) {
	gp_dup_gpdata_url(gp, gp_org);
	gp->path = pcdup(gp_org->path);
}

void REGP2 gp_dup_gpdata(TglobPath *gp, TglobPath *gp_org) {
	gp_dup_gpdata_path(gp, gp_org);
	gp->name = pcdup(gp_org->name);
}

TglobPath *gp_dup(TglobPath *gp_org) {
  TglobPath *gp = xmalloc(sizeof(TglobPath));
	gp_dup_gpdata(gp, gp_org);
	return gp;
}
