/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

//min_nums +char  0x100000 add ' ' 0x200000 add ',' 0x30000 add ';' 

// static const char ct[16] = "0123456789ABCDEF";

void hextoppc(char **ppc, dword val, int min_nums) {
  char *pc = *ppc;
  int min = min_nums & 0x0f;
  int i = 7;

	while (i && (i >= min) && !(val & 0xf0000000)) {
	    val <<= 4; i--;
	}
	i++;
	while (i) {
	    int b = (val >> 28) & 0x0f;
	    if (b > 9) b += 7;
	    *pc = b + 0x30; pc++;
	    val <<= 4; i--;
	}
	*ppc = pc;
	ppcmove_kchar(ppc, min_nums);
}

void hextopc(char *pc, dword val, int min_nums) {
  char *pcn = pc;
	hextoppc(&pcn, val, min_nums);
}

void hexto0xppc(char **ppc, dword val, int min_nums) {
  char *pc = *ppc;
	*pc = '0'; pc++;
	*pc = 'x'; pc++;
	*ppc =  pc;
	hextoppc(ppc, val, min_nums);
}

void hexto0xpc(char *pc, dword val, int min_nums) {
  char *pcn = pc;
	hexto0xppc(&pcn, val, min_nums);
}
