/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

/*____________________________ Public ___________________________________*/
bool TpcIni_IO_Load(TpcIni *self) {
	if (!self || !self->read) return false;
	return self->read(self);
}

bool TpcIni_IO_Save(TpcIni *self) {
	if (!self || !self->write) return false;
	return self->write(self);
}

/*____________________________ Destroy __________________________________*/

/*____________________________ Create ___________________________________*/
TpcIni *TpcIni_IO_Create(const char *name) {
  TpcIni *self;

	self = TpcIni_Create_struct();
	self->FileName = pcdup(name);
	return self;
}
