/*
 Copyright (C) 2010 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

char *pcadd_n(int n, ...) {
  va_list args;
  int lg, i;
  char *res, *pc;

	if (n <= 0) return NULL;
	lg = 0;
	va_start(args, n);
	for (i=n;i;i--) lg += pclen(va_arg(args, char*));

	va_end(args);
	lg++;
	res = xmalloc(lg);
	pc = res;

	va_start(args, n);
	for (i=n;i;i--) ppcmove(&pc, va_arg(args, char*));
	va_end(args);

	return res;
}
