/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

void ppclg_delsel(char **ppc, int *lg, int sa, int se) {
  int L;
  char *s;
	if (!*ppc) return;
	if (sa > se) SWAP_INT(sa, se);
	if ((se <= 0) || (sa >= *lg)) return;
	if (sa < 0) sa = 0;
	if (se > *lg) se = *lg;
	if (sa == se) return;

	s = *ppc;
	pcnmove(s + sa, s + se, *lg - se);
	L = *lg - (se - sa);
	*lg = L;
	return;
}

void ppcdelsel(char **ppc, int sa, int se) {
  int lg = pclen(*ppc);
	ppclg_delsel(ppc, &lg, sa, se);
}
