/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

char *sc_lf_to_backslash(const char *s) {
  const char *cpc, *cpca;
  char *result;

	if (!s || !*s) return NULL;
	result = NULL;
	cpca = s;
	cpc = s;
	while (*cpc) {
	    if (*cpc == 0x0a) {
		ppcnadd(&result, cpca, cpc - cpca);
		ppcadd(&result, "\\n");
		cpca = cpc + 1;
	    } else if (*cpc == '\\') {
		ppcnadd(&result, cpca, cpc - cpca + 1);
		ppcadd(&result, "\\");
		cpca = cpc + 1;
	    }
	    cpc++;
	}
	if (*cpca) ppcadd(&result, cpca);
	return result;
}

char *sc_backslash_to_lf(const char *s) {
  const char *cpc, *cpca;
  char *result;

	if (!s || !*s) return NULL;
	result = NULL;
	cpca = s;
	cpc = s;
	while (*cpc) {
	    if ((*cpc == '\\') && cpc[1]) {
		if (cpc[1] == 'n') {
		    ppcnadd(&result, cpca, cpc - cpca);
		    ppcadd(&result, "\n");
		    cpc++;
		    cpca = cpc + 1;
		} else {
		    cpc++;
		    ppcnadd(&result, cpca, cpc - cpca);
		    cpca = cpc + 1;
		}
	    }
	    cpc++;
	}
	if (*cpca) ppcadd(&result, cpca);
	return result;
}
