/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

const char *token_find(const char *data, const char *find) {
  int lg, tlg;
  const char *token, *indata;

	lg = pclen(find);
	indata = data;
	while (indata) {
	    indata = pcGetToken(indata, &token, &tlg);
	    if ((lg == tlg) && pcncmp(find, token, lg)) return token;
	}
	return NULL;
}
