/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appXbase.h"
#include "dlg.h"

int Err_ev_count = 0;

int default_Error_ev(int ErrType, const char *err) {
	if (((ErrType & EMSG_MASK_Bef) == EMSG_ERR1) ||
	    ((ErrType & EMSG_MASK_Bef) == EMSG_ERR2)) {

	    if (ChkIsThread()) return 0;
#ifndef _OS_WIN32
	    XBell(appXDat.dpy, 0);
#endif
	    Err_ev_count++;
	    if (Err_ev_count > 20) {
		appDat.gQUIT_Ev = True;
		return 0;
	    }
	    if (Err_ev_count > 3) return 0;
	    MsgBox_Show(appDat.obj, "ERROR", err, msgOK | msgIcoERROR, 0);
	    Err_ev_count--;
	    return 1;
	}
	return 0;
}
