/*
 Copyright (C) 2010-2011 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "dlg.h"

bool Font_Dlg_Create_Execute(TWins *parent, char **ret_fontname) {
  char *fontname = NULL;
  bool res;
	if (ret_fontname) fontname = *ret_fontname;
// printf("%s(%d):    %s\n", FL, fontname);

#ifdef USE_EXT_FONT_DLG

#ifdef _OS_WIN32

  LOGFONTW lf;
	if (!X11fontname_to_LOGFONTW(&lf, fontname)) return False;
//	res = False;
	res = font_dlg_W32(parent, &lf, ret_fontname);

#else  /* _OS_WIN32 */

  TFont_Dlg *self = Create_Font_Dlg(parent, fontname);
	self->RetCode = 0;

	SetVisible((TWins*)self, True);
	while (self->Visible && AppHandleMessage());
	res = (self->RetCode == 1);
	if (res && ret_fontname) ppcchange(ret_fontname, GetCaption_pc((TWins*)self->edResult));
	Tfree(self);

#endif  /* !_OS_WIN32 */

#else  /* USE_EXT_FONT_DLG */

  TFont_Dlg *self = Create_Font_Dlg(parent, fontname);
	self->RetCode = 0;

	SetVisible((TWins*)self, True);
	while (self->Visible && AppHandleMessage());
	res = (self->RetCode == 1);
	if (res && ret_fontname) ppcchange(ret_fontname, GetCaption_pc((TWins*)self->edResult));
	Tfree(self);

#endif  /* !USE_EXT_FONT_DLG */

// printf("%s(%d): -> %s\n", FL, *ret_fontname);
	return res;
}
