/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public License
 as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version. 

 This library is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 See the GNU Lesser General Public License for more details. 

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 MA 02110, USA
*/

#ifndef	__ALD_CICONS_H__
#define	__ALD_CICONS_H__    1

extern TPic *get_pic9_ok(bool disable);
extern TPic *get_pic9_hsb_plus(bool disable);
extern TPic *get_pic9_hsb_minus(bool disable);
extern TPic *get_pic9_vsb_plus(bool disable);
extern TPic *get_pic9_vsb_minus(bool disable);

extern TPic *get_pic16_ok(bool disable);
extern TPic *get_pic16_fileopen(bool disable);
extern TPic *get_pic16_filesave(bool disable);
extern TPic *get_pic16_find_no(bool disable);
extern TPic *get_pic16_file_LAZ0(bool disable);
extern TPic *get_pic16_file_LAZ1(bool disable);
extern TPic *get_pic16_redo(bool disable);
extern TPic *get_pic16_undo(bool disable);

extern TPic *get_pic16_cdrom_mount(bool disable);
extern TPic *get_pic16_cdrom_umount(bool disable);

extern TPic *get_pic16_floppy_mount(bool disable);
extern TPic *get_pic16_floppy_umount(bool disable);

extern TPic *get_pic16_hdd_mount(bool disable);
extern TPic *get_pic16_hdd_umount(bool disable);

extern TPic *get_pic16_usbdrive_mount(bool disable);
extern TPic *get_pic16_usbdrive_umount(bool disable);

extern TPic *get_pic16_playleft(bool disable);
extern TPic *get_pic16_play2left(bool disable);
extern TPic *get_pic16_playrigth(bool disable);
extern TPic *get_pic16_play2rigth(bool disable);

extern TPic *get_pic16_ftp(bool disable);

extern TPic *get_pic16_shell(bool disable);

extern TPic *get_pic16_warning(bool disable);
extern TPic *get_pic32_warning(bool disable);
extern TPic *get_pic16_info(bool disable);
extern TPic *get_pic32_info(bool disable);
extern TPic *get_pic16_error(bool disable);
extern TPic *get_pic32_error(bool disable);

extern const char zico16console[];
extern const char zico16error[];
extern const char zico16exit[];
extern const char zico16folder[];
extern const char zico16font_truetype[];
extern const char zico16globus[];
extern const char zico16info[];
extern const char zico16rpm[];
extern const char zico16unknown[];
extern const char zico16warning[];

extern const char zico32error[];
extern const char zico32globus[];
extern const char zico32info[];
extern const char zico32rpm[];
extern const char zico32unknown[];
extern const char zico32warning[];

#endif /* __ALD_CICONS_H__ */
