/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public License
 as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version. 

 This library is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 See the GNU Lesser General Public License for more details. 

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 MA 02110, USA
*/

#ifndef __ALD_FONTWIN_H__
#define __ALD_FONTWIN_H__    1

/* _____________________ TTreeVFont __________________________ */
#define TCSelf TTreeVFont
typedef struct TTreeVFont {
  AlgTreeV
  TTreeVNode *Nodes;

  char *selFontName;
  int size6;
  char *dpi89;		//*-*; 0-0; 75-75; 100-100
  char *Charset12;
//  TFont *medium_font;
  TFontX *mediumK_font;
  TFontX *bold_font;
  TFontX *boldK_font;

} TTreeVFont;
#undef TCSelf

extern TTreeVFont *TTreeVFont_Create(TWins *Parent);
extern TTreeVFont *TTreeVFont_CreateA(TWins *Parent, int Left, int Top, int Width, int Height, int Align);

extern void TTreeVFont_SetDefaultParam(TTreeVFont *self, const char *fontname);
extern void TTreeVFont_ExpandDefaultNode(TTreeVFont *self);
extern void TreeVFont_List(TTreeVFont *self);

#endif /* __ALD_FONTWIN_H__ */
