/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

int XFillPolygon(Display *dpy, Drawable d, GC gc, 
		XPoint *points, int n_points, int shape, int mode) {

  int isTempDC;
  HDC hDC = GetTmpPaintDC(d, &isTempDC, gc, gcdc_hbrush);
  HPEN hpen = CreatePen(PS_NULL, 1, 0);
  HGDIOBJ oldobj;

	oldobj = SelectObject(hDC, hpen);
	Polygon(hDC, points, n_points);
	SelectObject(hDC, oldobj);
	DeleteObject(hpen);

	ReleaseTmpPaintDC(d, hDC, isTempDC);
	return 0;
}
