/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

bool GetPasteStr_lgs(int enc_utf8) {
  Atom nSelAtom = 0;
	
	SelRetClr();

	if (Get_XA_TARGETS()) {
	    nSelAtom = get_nSelAtom(appXDat.XA_UTF8_STRING);
	    if (!nSelAtom) nSelAtom = get_nSelAtom(appXDat.XA_TEXT_PLAIN);
	}
	if (!nSelAtom) nSelAtom = XA_STRING;
//  AzAtom(FL, "Sel-Atoms", nSelAtom);

	SelRetClr();
	if (GetPasteDaten(appXDat.CLIPBOARD_ATOM, nSelAtom)) {
	    if (appXDat.SelRetFormat != 8) SelRetClr();
	}

	if (enc_utf8 && (appXDat.SelRet_lgs.lg > 0) && 
			(nSelAtom != appXDat.XA_UTF8_STRING)) {
  int fuEOL = 0;
  int lg = Chk_fio_UTF8_lgs(&appXDat.SelRet_lgs , &fuEOL);
  char *pc;
	    if ((fuEOL & fio_has_0x80_char) && !(fuEOL & fio_has_UTF8_char)) {
		pc = xmalloc(lg + 1);
		AsciiToUtf8(pc, lg + 1, appXDat.SelRet_lgs.s,
					appXDat.SelRet_lgs.lg);
		SelRetClr();
		appXDat.SelRet_lgs.lg = lg;
		appXDat.SelRet_lgs.s = pc;
	    }
	}
	return (appXDat.SelRet_lgs.lg > 0);
}
