/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/

#include "appXbase.h"

char *vds_path_cut(TVDrawString *vds, const char *s, int max_w) {
  int z, w;
  char *pc, *pca, *pce;
  char *ret = pcdup(s);

	if (pclen(ret) < 12) return ret;
	z = 0;
	pca = NULL;
	pc = ret;
	while (*pc) {
	    if (*pc == '/') {
		if (!pca) pca = pc;
		z++;
	    }
	    pc++;
	}
	if (!pca) return ret;
	while ((pca > ret) && ((byte)pca[-1] > 0x20)) pca--;
	if (pca > ret) {
	    if (!pcncasecmpASCII(pca, "file:", 5)) {
		pca[-1] = 0;
		pca += 5;
		while (pca[1] == '/') pca++;
		pc = pcadd_n(3, ret, " ", pca);
		xfree(ret);
		ret = pc;
	    }
	} else if (!pcncasecmpASCII(ret, "file:", 5)) {
	    pca = ret + 5;
	    while (pca[1] == '/') pca++;
	    ppcchange(&ret, pca);
	}
	if (z == 1) return ret;

	Font_SetUTF8((TFont*)vds->Font, vds->UTF8on);

	while (Font_GetWidth((TFont*)vds->Font, ret, pclen(ret)) > max_w) {
	    pc = ret;
	    while (*pc && (*pc != '/')) pc++;
	    w = 5;
	    pce = pc;
	    while (*pce && w) {pce++; w--;}
	
	    while (*pce && (*pce != '/')) pce++;
	    if (*pce != '/') return ret;
	    pc++;
	    *pc = '.'; pc++;
	    *pc = '.'; pc++;
	    *pc = '.'; pc++;
	    while (*pce) {*pc = *pce; pc++; pce++;}
	    *pc = 0;
	}
	return ret;
}
