
	.align 8
mmx_mul_565_to_w:
	.word 0x0800,0x0001,0x0020,0
mmx_and_565_to_w:
	.word 0xf800,0xf800,0xfc00,0

mmx_mul_to_rgb565:
	.word 0x0001,0x0008,0x0000,0
a_mmx_mul1_565:
	.word 0x0040,0x0200,0x0200,0
a_mmx_mul2_565:
	.word 0x0080,0x0400,0x0400,0
a_mmx_and_565:
	.word 0xf81f,0x00fc,0x0000,0

rszmmx16_st:
	movzwl		dest_off_y, %eax
	mov		%eax, y

	movzwl		rsz_fu, %eax
	test		rsz_fu_Fast_rsz, %eax
       jz	rszmmx16m_noFast
rszmmx16mf_Y:
	mov		$0, %ecx
       call	math_cya_cye

	lea		(%esi, %ebx, 2), %esi
	lea		(%edi, %eax, 2), %edi
	incl		y
	mov		rsztemp0, %eax
	mov		h_pTap(%eax), %edx

	mov		h_0_loop(%eax), %ecx
	add		h_1_loop(%eax), %ecx
	add		h_N_loop(%eax), %ecx

       call	rszmmx16_X1Y1

	movzwl		dest_lg_y, %eax
	cmp		y, %eax
       jne	rszmmx16mf_Y
       ret

rszmmx16m_noFast:
	movq		(mmx_mul_565_to_w), %mm6
	movq		(mmx_and_565_to_w), %mm7
/* ___________________ 16bpp Y1 _______________________ */
rszmmx16m_Y:
	movq		(mmx_mul_to_rgb565), %mm5

	mov		$0x0fff, %ecx
       call	math_cya_cye
	lea		(%esi, %ebx, 2), %esi
	lea		(%edi, %eax, 2), %edi
	incl		y

	mov		rsztemp0, %eax
	mov		h_pTap(%eax), %edx

	test		%ecx, %ecx	//ly==0
       jnz	rszmmx16m_Y2

	movq		(a_mmx_mul1_565), %mm3
	movq		(a_mmx_and_565), %mm4

	mov		h_0_loop(%eax), %ecx
       call	rszmmx16_X1Y1

	mov		rsztemp0, %eax
	mov		h_1_loop(%eax), %ecx
       call	rszmmx16_X2Y1

	mov		rsztemp0, %eax
	mov		h_N_loop(%eax), %ecx
       call	rszmmx16_XNY1

       jmp	rszmmx16m_Ye
/* ___________________ Y2 _______________________ */
rszmmx16m_Y2:
	movd		cya, %mm3
	punpcklwd	%mm3, %mm3
	punpcklwd	%mm3, %mm3
	movd		cye, %mm4
	punpcklwd	%mm4, %mm4
	punpcklwd	%mm4, %mm4

	cmp		$1, %ecx
       jnz	rszmmx16_YN

	mov		h_0_loop(%eax), %ecx
       call	rszmmx16_X1Y2

	mov		rsztemp0, %eax
	mov		h_1_loop(%eax), %ecx
       call	rszmmx16_X2Y2

	mov		rsztemp0, %eax
	mov		h_N_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx16m_Ye

	movd		kmulw, %mm2
	psllw		$4, %mm2
	punpcklwd	%mm2, %mm2
	punpcklwd	%mm2, %mm2
	mov		%ecx, x

rszmmx16m_XNY2_loop:
       call	rszmmx16_XNYa
       call	rszmmx16_XNYe
	decl		x
       jnz	rszmmx16m_XNY2_loop
       jmp	rszmmx16m_Ye
/* ___________________ YN _______________________ */
rszmmx16_YN:
	mov		%ecx, ly
	movd		kmulh, %mm5
	psllw		$4, %mm5
	punpcklwd	%mm5, %mm5
	punpcklwd	%mm5, %mm5

	mov		rsztemp0, %eax
	mov		h_0_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx16_X1YN_end
rszmmx16_X1YN_loop:
/* ___ YN X1 ___ */
	mov		pxTab_ox(%edx), %ebx
	add		pxTab_dox(%edx), %edi

	movzwl		(%esi, %ebx, 2), %eax
	movd		%eax, %mm0	//line 1 rgb 565
	punpcklwd	%mm0, %mm0
	punpcklwd	%mm0, %mm0	
	pmullw		%mm6, %mm0
	pand		%mm7, %mm0	//r g b -> [0][g][r][b]
	pmulhuw		%mm3, %mm0	//* cya

	mov		ly, %eax
	dec		%eax
	mov		%eax, yn
rszmmx16_X1YN_L:
	add		loff_x, %ebx
	movzwl		(%esi, %ebx, 2), %eax
	movd		%eax, %mm1	//line N rgb 565
	punpcklwd	%mm1, %mm1
	punpcklwd	%mm1, %mm1	
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//r g b -> [0][g][r][b]
	pmulhuw		%mm5, %mm1	//* kmul_h
	paddusw		%mm1, %mm0	//L1+L2
	decl		yn
       jnz	rszmmx16_X1YN_L
	add		loff_x, %ebx
	movzwl		(%esi, %ebx, 2), %eax
	movd		%eax, %mm1	//line End rgb 565
	punpcklwd	%mm1, %mm1
	punpcklwd	%mm1, %mm1	
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//r g b -> [0][g][r][b]
	pmulhuw		%mm4, %mm1	//* cye
	paddusw		%mm1, %mm0	//L1+L2
// -> rgb888
	pmulhuw		(a_mmx_mul1_565), %mm0	//rgb885 0xffff1f
	packuswb	%mm0, %mm0	//word -> byte
//rgb885 -> rgb565
	pand		(a_mmx_and_565), %mm0	//mask
	pmaddwd		(mmx_mul_to_rgb565), %mm0	//rb(0xf81f) + (g(0xfc) shl 3)
	movd		%mm0, %eax
	movw		%ax, (%edi)
	add		CpxTab_inc, %edx
	dec		%ecx
       jnz	rszmmx16_X1YN_loop
rszmmx16_X1YN_end:

/* ___ YN X2 ___ */
	mov		rsztemp0, %eax
	mov		h_1_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx16_X2YN_end
rszmmx16_X2YN_loop:
	mov		pxTab_ox(%edx), %ebx
	add		pxTab_dox(%edx), %edi

	movd		(%esi, %ebx, 2), %mm0	//line 1 rgb 565
	punpcklwd	%mm0, %mm0
	movq		%mm0, %mm1
	punpcklwd	%mm0, %mm0	
	pmullw		%mm6, %mm0
	pand		%mm7, %mm0	//L1 r g b
	punpckhwd	%mm1, %mm1
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//L1 r g b
	pmulhuw		pxTab_cxa(%edx), %mm0
	pmulhuw		pxTab_cxe(%edx), %mm1
	paddusw		%mm1, %mm0
	pmulhuw		%mm3, %mm0	//* cya

	mov		ly, %eax
	dec		%eax
	mov		%eax, yn
rszmmx16_X2YN_L:
	add		loff_x, %ebx
	movd		(%esi, %ebx, 2), %mm2	//line 2 rgb 565
	punpcklwd	%mm2, %mm2
	movq		%mm2, %mm1
	punpcklwd	%mm1, %mm1	
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//L2 r g b
	punpckhwd	%mm2, %mm2
	pmullw		%mm6, %mm2
	pand		%mm7, %mm2	//L2 r g b
	pmulhuw		pxTab_cxa(%edx), %mm1
	pmulhuw		pxTab_cxe(%edx), %mm2
	paddusw		%mm2, %mm1
	pmulhuw		%mm5, %mm1	//* kmulh
	paddusw		%mm1, %mm0	//(L1+LN)
	decl		yn
       jnz	rszmmx16_X2YN_L

	add		loff_x, %ebx
	movd		(%esi, %ebx, 2), %mm2	//line 2 rgb 565
	punpcklwd	%mm2, %mm2
	movq		%mm2, %mm1
	punpcklwd	%mm1, %mm1	
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//L2 r g b
	punpckhwd	%mm2, %mm2
	pmullw		%mm6, %mm2
	pand		%mm7, %mm2	//L2 r g b
	pmulhuw		pxTab_cxa(%edx), %mm1
	pmulhuw		pxTab_cxe(%edx), %mm2
	paddusw		%mm2, %mm1
	pmulhuw		%mm4, %mm1	//* cye
	paddusw		%mm1, %mm0	//(L1+LE)
	paddusw		%mm0, %mm0	//*2
// -> rgb888
	pmulhuw		(a_mmx_mul1_565), %mm0	//rgb885 0xffff1f
	packuswb	%mm0, %mm0	//word -> byte
//rgb885 -> rgb565
	pand		(a_mmx_and_565), %mm0	//mask
	pmaddwd		(mmx_mul_to_rgb565), %mm0	//rb(0xf81f) + (g(0xfc) shl 3)
	movd		%mm0, %eax
	movw		%ax, (%edi)
	add		CpxTab_inc, %edx
	dec		%ecx
       jnz	rszmmx16_X2YN_loop
rszmmx16_X2YN_end:

/* ___ YN XN ___ */
	mov		rsztemp0, %eax
	mov		h_N_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx16m_Ye
	mov		%ecx, x

	movd		kmulw, %mm2
	psllw		$4, %mm2
	punpcklwd	%mm2, %mm2
	punpcklwd	%mm2, %mm2

rszmmx16_XNYN_loop:
       call	rszmmx16_XNYa
/* _______________ Line N _______________________ */
	mov		pxTab_ox(%edx), %ebx
	mov		ly, %eax
	dec		%eax
	mov		%eax, yn
rszmmx16_XNYN_L:
	add		loff_x, %ebx
	push		%ebx

	movzwl		(%esi, %ebx, 2), %eax
	movd		%eax, %mm1	//line 1 rgb 565
	punpcklwd	%mm1, %mm1
	punpcklwd	%mm1, %mm1
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//r g b -> [0][g][r][b]
	pmulhuw		pxTab_cxa(%edx), %mm1
	paddusw		%mm1, %mm1
	pmulhuw		%mm5, %mm1	//*kmulh
	paddusw		%mm1, %mm0

	mov		pxTab_lgx(%edx), %ecx
	dec		%ecx
rszmmx16_XNYN_LXn:
	inc		%ebx
	movzwl		(%esi, %ebx, 2), %eax
	movd		%eax, %mm1	//line N rgb 565
	punpcklwd	%mm1, %mm1
	punpcklwd	%mm1, %mm1
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//r g b -> [0][g][r][b]
	pmulhuw		%mm5, %mm1	//*kmulh
	paddusw		%mm1, %mm1
	pmulhuw		%mm2, %mm1	//*kmulw
	paddusw		%mm1, %mm0
	dec		%ecx
       jnz	rszmmx16_XNYN_LXn
	movzwl		2(%esi, %ebx, 2), %eax
	movd		%eax, %mm1	//line end rgb 565
	punpcklwd	%mm1, %mm1
	punpcklwd	%mm1, %mm1
	pmullw		%mm6, %mm1
	pand		%mm7, %mm1	//r g b -> [0][g][r][b]
	pmulhuw		pxTab_cxe(%edx), %mm1
	paddusw		%mm1, %mm1
	pmulhuw		%mm5, %mm1	//*kmulh
	paddusw		%mm1, %mm0

	pop		%ebx
	decl		yn
       jnz	rszmmx16_XNYN_L

/* _______________ Line end _______________________ */
	add		loff_x, %ebx
       call	rszmmx16_XNYe
	decl		x
       jnz	rszmmx16_XNYN_loop


rszmmx16m_Ye:
	movzwl		dest_lg_y, %eax
	cmp		y, %eax
       jne	rszmmx16m_Y

	emms
       ret


/* ___________________ 24bpp rsz _______________________ */
rszmmx24_st:
	movd		kmulw, %mm6
	psllw		$4, %mm6
	punpcklwd	%mm6, %mm6
	punpcklwd	%mm6, %mm6
	movd		kmulh, %mm7
	psllw		$4, %mm7
	punpcklwd	%mm7, %mm7
	punpcklwd	%mm7, %mm7

	movzwl		dest_off_y, %eax
	mov		%eax, y

	movzwl		rsz_fu, %eax
	test		rsz_fu_Fast_rsz, %eax
       jz	rszmmx24_Y1
/* Fast Zoom */
	mov		rsztemp0, %eax
	mov		h_0_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx24f_end

rszmmx24f_Y:
	mov		$0, %ecx
       call	math_cya_cye

	lea		(%esi, %ebx, 4), %esi
	lea		(%edi, %eax, 4), %edi
	incl		y
	mov		rsztemp0, %eax
	mov		h_pTap(%eax), %edx

	mov		h_0_loop(%eax), %ecx
//	add		h_1_loop(%eax), %ecx
//	add		h_N_loop(%eax), %ecx
//	test		%ecx, %ecx
//       jz	rszmmx24f_end
#if 0
       call	rszmmx24_X1Y1
#else
rszmmx24f_X1Y1_loop:
	mov		pxTab_ox(%edx), %eax
	mov		(%esi, %eax, 4), %eax
	mov		%eax, (%edi)

	add		CpxTab_inc, %edx
	add		$4, %edi
	dec		%ecx
       jnz	rszmmx24f_X1Y1_loop
#endif
	movzwl		dest_lg_y, %eax
	cmp		y, %eax
       jne	rszmmx24f_Y
rszmmx24f_end:
	emms
       ret

/* ___________________ 24bpp Y1 _______________________ */
rszmmx24_Y1:
	mov		$0x0fff, %ecx
       call	math_cya_cye
	lea		(%esi, %ebx, 4), %esi
	lea		(%edi, %eax, 4), %edi
	incl		y

	mov		rsztemp0, %eax
	mov		h_pTap(%eax), %edx

	and		%ecx, %ecx
       jnz	rszmmx24_Y2

	mov		h_0_loop(%eax), %ecx
       call	rszmmx24_X1Y1

	mov		rsztemp0, %eax
	mov		h_1_loop(%eax), %ecx
       call	rszmmx24_X2Y1

	mov		rsztemp0, %eax
	mov		h_N_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx24_Ye
	mov		%ecx, x
rszmmx24_XNY1_loop:
	mov		pxTab_ox(%edx), %ebx
	add		pxTab_dox(%edx), %edi

	movd		(%esi, %ebx, 4), %mm0	//rgb 888
	punpcklbw	%mm0, %mm0
	pmulhuw		pxTab_cxa(%edx), %mm0
	mov		pxTab_lgx(%edx), %ecx
	dec		%ecx
rszmmx24_XNY1_LX:
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		%mm6, %mm1	// * kmul_w
	paddusw		%mm1, %mm0
	dec		%ecx
       jnz	rszmmx24_XNY1_LX
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		pxTab_cxe(%edx), %mm1
	paddusw		%mm1, %mm0
// -> rgb888
	psrlw		$7, %mm0
	packuswb	%mm0, %mm0	//word -> byte
	movd		%mm0, (%edi)
	add		CpxTab_inc, %edx
	decl		x
       jnz	rszmmx24_XNY1_loop

       jmp	rszmmx24_Ye
/* ___________________ 24bpp Y2 _______________________ */
rszmmx24_Y2:
	movd		cya, %mm4
	punpcklwd	%mm4, %mm4
	punpcklwd	%mm4, %mm4
	movd		cye, %mm5
	punpcklwd	%mm5, %mm5
	punpcklwd	%mm5, %mm5

	cmp		$1, %ecx
       jnz	rszmmx24_YN

	mov		h_0_loop(%eax), %ecx
       call	rszmmx24_X1Y2

	mov		rsztemp0, %eax
	mov		h_1_loop(%eax), %ecx
       call	rszmmx24_X2Y2

	mov		rsztemp0, %eax
	mov		h_N_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx24_Ye
	mov		%ecx, x
rszmmx24_XNY2_loop:
/* ___ Y2 XN Line 1 ___ */
	mov		pxTab_ox(%edx), %ebx
	add		pxTab_dox(%edx), %edi

	movd		(%esi, %ebx, 4), %mm0	//rgb 888
	punpcklbw	%mm0, %mm0
	pmulhuw		pxTab_cxa(%edx), %mm0
	mov		pxTab_lgx(%edx), %ecx
	dec		%ecx
rszmmx24_XNY2_LXa:
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		%mm6, %mm1	// * kmul_w
	paddusw		%mm1, %mm0
	dec		%ecx
       jnz	rszmmx24_XNY2_LXa
	movd		4(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		pxTab_cxe(%edx), %mm1
	paddusw		%mm1, %mm0
	pmulhuw		%mm4, %mm0	//* cya
/* ___ Y2 XN Line 2 ___ */
	mov		pxTab_ox(%edx), %ebx
	add		loff_x, %ebx
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		pxTab_cxa(%edx), %mm1
	mov		pxTab_lgx(%edx), %ecx
	dec		%ecx
rszmmx24_XNY2_LXe:
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm2	//rgb 888
	punpcklbw	%mm2, %mm2
	pmulhuw		%mm6, %mm2	// * kmul_w
	paddusw		%mm2, %mm1
	dec		%ecx
       jnz	rszmmx24_XNY2_LXe
	movd		4(%esi, %ebx, 4), %mm2	//rgb 888
	punpcklbw	%mm2, %mm2
	pmulhuw		pxTab_cxe(%edx), %mm2
	paddusw		%mm2, %mm1
	pmulhuw		%mm5, %mm1	//* cye
	paddusw		%mm1, %mm0
// -> rgb888
	psrlw		$6, %mm0
	packuswb	%mm0, %mm0	//word -> byte
	movd		%mm0, (%edi)
	add		CpxTab_inc, %edx
	decl		x
       jnz	rszmmx24_XNY2_loop
       jmp	rszmmx24_Ye
/* ___________________ 24bpp YN _______________________ */
rszmmx24_YN:
	mov		%ecx, ly
	mov		rsztemp0, %eax
	mov		h_0_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx24_X1YN_end
rszmmx24_X1YN_loop:
/* ___ YN X1 ___ */
	mov		pxTab_ox(%edx), %ebx
	add		pxTab_dox(%edx), %edi

	movd		(%esi, %ebx, 4), %mm0	//rgb 888
	add		loff_x, %ebx
	punpcklbw	%mm0, %mm0
	pmulhuw		%mm4, %mm0	//* cya
	mov		ly, %eax
	dec		%eax
	mov		%eax, yn
rszmmx24_X1YN_L:
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	add		loff_x, %ebx
	punpcklbw	%mm1, %mm1
	pmulhuw		%mm7, %mm1	//* kmul_h
	paddusw		%mm1, %mm0	//L1+L2
	decl		yn
       jnz	rszmmx24_X1YN_L
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		%mm5, %mm1	//* cye
	paddusw		%mm1, %mm0	//L1+L2
// -> rgb888
	psrlw		$7, %mm0
	packuswb	%mm0, %mm0	//word -> byte
	movd		%mm0, (%edi)
	add		CpxTab_inc, %edx
	dec		%ecx
       jnz	rszmmx24_X1YN_loop
rszmmx24_X1YN_end:

	mov		rsztemp0, %eax
	mov		h_1_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx24_X2YN_end
rszmmx24_X2YN_loop:
/* ___ YN X2 ___ */
	mov		pxTab_ox(%edx), %ebx
	add		pxTab_dox(%edx), %edi

	movd		(%esi, %ebx, 4), %mm0	//rgb 888
	movd		4(%esi, %ebx, 4), %mm1	//rgb 888
	add		loff_x, %ebx
	punpcklbw	%mm0, %mm0
	punpcklbw	%mm1, %mm1
	pmulhuw		pxTab_cxa(%edx), %mm0
	pmulhuw		pxTab_cxe(%edx), %mm1
	paddusw		%mm1, %mm0	
	pmulhuw		%mm4, %mm0	//* cya
	mov		ly, %eax
	dec		%eax
	mov		%eax, yn
rszmmx24_X2YN_L:
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	movd		4(%esi, %ebx, 4), %mm2	//rgb 888
	add		loff_x, %ebx
	punpcklbw	%mm1, %mm1
	punpcklbw	%mm2, %mm2
	pmulhuw		pxTab_cxa(%edx), %mm1
	pmulhuw		pxTab_cxe(%edx), %mm2
	paddusw		%mm2, %mm1
	pmulhuw		%mm7, %mm1	//* kmul_h
	paddusw		%mm1, %mm0	
	decl		yn
       jnz	rszmmx24_X2YN_L
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	movd		4(%esi, %ebx, 4), %mm2	//rgb 888
	punpcklbw	%mm1, %mm1
	punpcklbw	%mm2, %mm2
	pmulhuw		pxTab_cxa(%edx), %mm1
	pmulhuw		pxTab_cxe(%edx), %mm2
	paddusw		%mm2, %mm1	
	pmulhuw		%mm5, %mm1	//* cye
	paddusw		%mm1, %mm0	
// -> rgb888
	psrlw		$6, %mm0
	packuswb	%mm0, %mm0	//word -> byte
	movd		%mm0, (%edi)
	add		CpxTab_inc, %edx
	dec		%ecx
       jnz	rszmmx24_X2YN_loop
rszmmx24_X2YN_end:

	mov		rsztemp0, %eax
	mov		h_N_loop(%eax), %ecx
	test		%ecx, %ecx
       jz	rszmmx24_Ye
	mov		%ecx, x
rszmmx24_XNYN_loop:

/* ___ YN XN Line 1 ___ */
	mov		pxTab_ox(%edx), %ebx
	add		pxTab_dox(%edx), %edi

	movd		(%esi, %ebx, 4), %mm0	//rgb 888
	punpcklbw	%mm0, %mm0
	pmulhuw		pxTab_cxa(%edx), %mm0
	mov		pxTab_lgx(%edx), %ecx
	dec		%ecx
rszmmx24_XNYN_LXa:
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		%mm6, %mm1	// * kmul_w
	paddusw		%mm1, %mm0	
	dec		%ecx
       jnz	rszmmx24_XNYN_LXa
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		pxTab_cxe(%edx), %mm1
	paddusw		%mm1, %mm0	
	pmulhuw		%mm4, %mm0	//* cya

/* ___ YN XN Line N ___ */
	mov		pxTab_ox(%edx), %ebx
	mov		ly, %eax
	dec		%eax
	mov		%eax, yn
rszmmx24_XNYN_L:
	add		loff_x, %ebx
	push		%ebx
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		pxTab_cxa(%edx), %mm1
	mov		pxTab_lgx(%edx), %ecx
	dec		%ecx
rszmmx24_XNYN_LXn:
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm2	//rgb 888
	punpcklbw	%mm2, %mm2
	pmulhuw		%mm6, %mm2	// * kmul_w
	paddusw		%mm2, %mm1	
	dec		%ecx
       jnz	rszmmx24_XNYN_LXn
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm2	//rgb 888
	punpcklbw	%mm2, %mm2
	pmulhuw		pxTab_cxe(%edx), %mm2
	paddusw		%mm2, %mm1	
	pmulhuw		%mm7, %mm1	// * kmul_h
	paddusw		%mm1, %mm0
	pop		%ebx
	decl		yn
       jnz	rszmmx24_XNYN_L

/* ___ YN XN Line E ___ */
	add		loff_x, %ebx
	movd		(%esi, %ebx, 4), %mm1	//rgb 888
	punpcklbw	%mm1, %mm1
	pmulhuw		pxTab_cxa(%edx), %mm1
	mov		pxTab_lgx(%edx), %ecx
	dec		%ecx
rszmmx24_XNYN_LXe:
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm2	//rgb 888
	punpcklbw	%mm2, %mm2
	pmulhuw		%mm6, %mm2	// * kmul_w
	paddusw		%mm2, %mm1	
	dec		%ecx
       jnz	rszmmx24_XNYN_LXe
	inc		%ebx
	movd		(%esi, %ebx, 4), %mm2	//rgb 888
	punpcklbw	%mm2, %mm2
	pmulhuw		pxTab_cxe(%edx), %mm2
	paddusw		%mm2, %mm1	
	pmulhuw		%mm5, %mm1	//* cye
	paddusw		%mm1, %mm0
// -> rgb888
	psrlw		$6, %mm0
	packuswb	%mm0, %mm0	//word -> byte
	movd		%mm0, (%edi)
	add		CpxTab_inc, %edx
	decl		x
       jnz	rszmmx24_XNYN_loop

/* ___________________ 24bpp Ye _______________________ */
rszmmx24_Ye:
	movzwl		dest_lg_y, %eax
	cmp		y, %eax
       jne	rszmmx24_Y1

	emms
       ret
