/*
 Copyright (C) 2010 by Hoefer Alfred

 Licensed under the LGPL v2.1, see the file COPYING.LIB
*/


#include "image.h"

/*____________________________ Free __________________________________*/
static bool TColMap__Destroy(TColMap *self) {
	xfree(self->bit_arr);
	xfree(self->col_map);
	xfree(self->quant_col_map);
	return False;
}

/*____________________________ Create ________________________________*/
TColMap *TColMap_Create() {
  TColMap *self;

	self = ttc_create(sizeof(TColMap), wtyp_TColMap);
	self->destroy = (TDESTROY)TColMap__Destroy;
	return self;
}

