/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

int file_mkdir_parents_ae(const char *fn, int mode, int err_level) {
  TNetErrRet ErrRet;
  int result;

	net_err_init(&ErrRet);
	result = file_mkdir_parents(fn, &ErrRet, mode);
	if (!result) {
	    net_err_app_4(&ErrRet, fn, "mkdir", err_level);
	    net_err_clr(&ErrRet);
	}
	return result; //False, True, MkDirExists
}
