/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

bool test_local_drive(const char *fn) {
  TPathInfo pathi;
	if (!get_PathInfo(fn, &pathi)) return False;
	if (pathi.fu & pathi_rel) {
	    WARN_1("%s(%d): WARN: rel path \"%s\"\n", FL, fn);
	    return True;
	}
	return (pathi.fu & pathi_Local) != 0;
}
