/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

/* result False = OK */
bool cmd_get_double(int argc, char **argv, char *pc, int *idx, double *res) {
  int i;
	pc++;
	if (*pc == '=') {
	    pc++;
	    goto endok;

	} else if (((*pc >= '0') && (*pc <= '9')) || (*pc == '-')) {
	    goto endok;
	}

	i = *idx + 1; 
	if ((i < argc) && (*argv[i] != '-')) {
	    *idx = i;
	    pc = argv[i];
	    goto endok;
	}
	return true;
endok:
	*res = pctodouble(pc);
	return false;
}

bool cmd_get_float(int argc, char **argv, char *pc, int *idx, float *res) {
  double tmp;
  bool result;
	result = cmd_get_double(argc, argv, pc, idx, &tmp);
	*res = tmp;
	return result;
}
