/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

int TpcIni_RD_int(TpcIni *ti, const char *Gruppe, const char *Funkt, int Default) {
  TGruppeDat *Gpd;
	Gpd = TpcIni_FindGruppeDat(ti, Gruppe, Funkt);
	if (Gpd) return pctoint(Gpd->dat);
	return Default;
}

int TpcIni_RD_int_mm(TpcIni *ti, const char *Gruppe, const char *Funkt, 
			int Default, int min, int max) {

  int Result = TpcIni_RD_int(ti, Gruppe, Funkt, Default);
	if (Result < min) Result = min;
	if (Result > max) Result = max;
	return Result;
}
