/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"
#include "sysbaseio.h"

void TLineBuf_Ins(TLineBuf *self, long idx, const char *s, long lg) {
	if (!s || (lg <= 0) || !self->wr_memlook) return;
	self->lg = self->datalg;
	if (!self->pc || (idx >= self->datalg)) {
	    TLineBuf_Add(self, s, lg);
	    return;
	}
	TLineBuf_Set_mem(self, lg + 1);
	pnmove(self->pc + idx + lg, self->pc + idx, self->datalg + 1 - idx);
	self->lg += lg;
	self->datalg += lg;
	pnmove(self->pc + idx, s, lg);
}

void TLineBuf_Del(TLineBuf *self, long idx, long lg) {
	if (!self->pc || (lg <= 0) || !self->wr_memlook) return;
	self->lg = self->datalg;
	if ((idx + lg) >= self->datalg) {
	    self->lg = idx;
	    self->datalg = idx;
	    return;
	}
	pnmove(self->pc + idx, self->pc + idx + lg, self->datalg + 1 - idx);
	self->lg -= lg;
	self->datalg -= lg;
}
