/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

int ppctohex_scan(const char **ppc, bool Scan) {
  int res, Mk;
  const byte *pc;
	if (!ppc) return 0;
	pc = (const byte*)*ppc;
	if (!pc) return 0;
	Mk = res = 0;
	while (*pc) {
	    if ((*pc >= '0') && (*pc <= '9')) {
		Mk |= 0x8000;
		res = (res << 4) + (*pc & 0x0f);
	    } else if (((*pc >= 'A') && (*pc <= 'F')) || 
		      ((*pc >= 'a') && (*pc <= 'f'))) {
		Mk |= 0x8000;
		res = (res << 4) + ((*pc - 7) & 0x0f);

	    } else if ((*pc == ' ') || (*pc == 0x09)) {
		if (Mk) break; //Leerzeichen am Anfang erlaubt
	    } else {
		if (!Scan || Mk) break;
	    }
	    pc++;
	}
	*ppc = (const char*)pc;
	return res;
}

int ppctohex(const char **ppc) { 
	return ppctohex_scan(ppc, False);
}

int pctohex(const char *pc) { 
  const char *ppc = pc;
	return ppctohex_scan(&ppc, False);
}
