/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

/* void pwctoUTF8lgs(const word *pwc, Tlgs *lgs) {
	if (!lgs) return;
	if (!pwc) {
	    lgs->lg = 0;
	    lgs->s = NULL;
	    return;
	}
	lgs->lg = WCharsToUtf8(NULL, 0, pwc, pwclen(pwc), 0);
	lgs->s = xmalloc(lgs->lg+1);
	WCharsToUtf8(lgs->s, lgs->lg+1, pwc, pwclen(pwc), 0);
}

char *pwctoUTF8(const word *pwc) {
  Tlgs lgs;
	pwctoUTF8lgs(pwc, &lgs);
	return lgs.s;
} */

char *pwctoUTF8(const word *pwc) {
  int lg;
  char *result;

	lg = WCharsToUtf8(NULL, 0, pwc, pwclen(pwc), 0);
	result = xmalloc(lg+1);
	WCharsToUtf8(result, lg+1, pwc, pwclen(pwc), 0);
	return result;
}
