/*
 Copyright (C) 2010 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "sysbase.h"

void slash_korr(char *s, bool backslash) {
	if (!s) return;
#if 1
  char cs = '\\';
  char cd = '/';
	if (backslash) {
	    cs = '/';
	    cd = '\\';
	}
	while (*s) {
	    if (*s == cs) *s = cd;
	    s++;
	}
#else
	if (backslash) {
	    while (*s) {
		if (*s == '/') *s = '\\';
		s++;
	    }
	} else {
	    while (*s) {
		if (*s == '\\') *s = '/';
		s++;
	    }
	}
#endif
}

