/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appXbase.h"

void TPage_Move(TPage *self, TPage *to, int fu) {
  TPageControl *pgc;
  bool ChkVisible;

	if (!self) return;
	pgc = TPage_GetTPageControl(self);
	if (!pgc) return;

	ChkVisible = (fu & pgMove_ChkVisible) != 0;
	if (TPageControl_GetPageCount(pgc, ChkVisible) < 2) return;

	if (!to) {
	    if (fu & pgMove_Prev) {
		to = TPage_GetPrev(self, ChkVisible);
		if (to) {
		    to = TPage_GetPrev(to, ChkVisible);
		} else {
		    to = TPageControl_GetLastPage(pgc, ChkVisible);
		}
	    } else {
		to = TPage_GetNext(self, ChkVisible);
	    }
	} else if (fu & pgMove_Prev) {
	    to = TPage_GetPrev(to, ChkVisible);
	}
	TNodeReMove((TNode*)self);
	TNodeIns((TNode*)self->prev_child, (TNode*)to, (TNode*)self);
	pgc->ResizeStartMk = False;
	Refresh((TWins*)pgc);
}
