/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appXbase.h"


TTreeVNode* TTreeVNode_get_by_name(TTreeVNode *tvn, const char *name, bool all) {
	while (tvn) {
#ifdef _OS_WIN32
	    if (!pccasecmpASCII(TTreeVNode_GetCaption(tvn), name)) return tvn;
#else
	    if (pccmp(TTreeVNode_GetCaption(tvn), name)) return tvn;
#endif
	    if (all) tvn = tvn->next; else tvn = TTreeVNode_get_next(tvn);
	}
	return NULL;
}

