/*
 Copyright (C) 2010-2012 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appXbase.h"
#include "dlg.h"

int MsgBox_Show_Warning(TWins *parent, const char *Caption, dword fu, dword foc, int ErrType, const char *msg, ...) {
  va_list args;
  char *pc;
  int res;
	va_start(args, msg);
	pc = appError_va_Str(NULL, 0, ErrType, msg, args);
	va_end(args);

	if (!Caption) Caption = "WARNING";
	res = MsgBox_Show(parent, Caption, pc, fu | msgIcoWARNING, foc);
	xfree(pc);
	return res;
}

int MsgBox_Warning(TWins *parent, const char *msg, ...) {
  va_list args;
  char *pc;
  int res;
	va_start(args, msg);
	pc = appError_va_Str(NULL, 0, EMSG_WARN, msg, args);
	va_end(args);
	res = MsgBox_Show(parent, "WARNING", pc, msgOK|msgIcoWARNING, msgOK);
	xfree(pc);
	return res;
}
