/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under LGPL v2.1, see file COPYING.LIB in this tarball
*/

#include "appXbase.h"
#include "dlg.h"

static const char *Copyright_Msg = {
  "Project ALDccp   for more information visit  www.aldccp.at\n"
  "\n"
  "Copyright (C) 2010-2014 Hoefer Alfred\n"
  "\n"
  "This program is free software; you can redistribute it and/or modify it\n"
  "under the terms of the GNU General Public License as published by the\n"
  "Free Software Foundation; either version 2, or (at your option) any later version.\n"
  "\n"
  "This program is distributed in the hope that it will be useful, but\n"
  "WITHOUT ANY WARRANTY; without even the implied warranty of\n"
  "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n"
  "See the GNU General Public License for more details.\n"
  "\n"
  "You should have received a copy of the GNU General Public License\n"
  "along with this program; if not, write to the Free Software\n"
  "Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA"
};

void Copyright_MsgBox_Show(TWins *parent, const char *Caption) {
	if (!Caption) Caption = "Copyright";
	MsgBox_Show(parent, Caption, Copyright_Msg, msgOK | msgIcoINFO, 0);
}
