/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "aldesk.h"

void REGP1 pcmove_directory(char *pc) {
	pcmove(pc, "/.directory");
}

void REGP2 pcmove_desktop(char *pc, const char *name) {
	*pc = '/'; pc++;
	ppcmove(&pc, name);
	pcmove(pc, ".desktop");
}

void Menu_OnMenuOpen(TMenu *self) {
	XGrabKeyboard(appXDat.dpy, appXDat.RootW, False, 
		GrabModeAsync, GrabModeAsync, CurrentTime);
 Debug_msg(0, "Menu_OnMenuOpen\n");
}

//void Menu_OnMenuClose(TMenu *self, int stat) {
void Menu_OnMenuClose(TMenu *self) {
	XUngrabKeyboard(appXDat.dpy, CurrentTime);
 Debug_msg(0, "Menu_OnMenuClose\n");
}
