/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#define fgaColName	1
#define fgaColPath	2
#define fgaColSize	3
#define fgaColModi	4
#define fgaColPerm	5
#define fgaColCharType	6
#define fgaColFML	7
#define fgaColLast	7


#define fi_Select	1

#define TCSelf TFindGrid
typedef struct TFindGrid {
  AlgGrid
  void (*OnItemEnter)(struct TFindGrid* self, TDirFileList *fi);

  int fiCount, fiCount_LastPaint;
  TDirFileList *dfl;
  TDirFileList **ppfi;
  TEdit *Edit;
  int EditCol, EditRow;
  bool FML_utf8;
} TFindGrid;
#undef TCSelf

TFindGrid *TFindGrid_Create(TWins *Parent);

void TFindGrid_Clr(TFindGrid *self);
void TFindGrid_AddItem(TFindGrid *self, TDirFileList *fi);
//void TFindGrid_Update(TFindGrid *self);
void TFindGrid_SetColVisible(TFindGrid *self, int fga, bool Visible);
TDirFileList *TFindGrid_Get_dfl(TFindGrid *self, int idx);
TDirFileList *TFindGrid_GetSelect_dfl(TFindGrid *self);

void grFind_Sort(TDirFileList **ppdfl, int fu);
void TFindGrid_Sort(TFindGrid *self, int fu);
