/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "aldfile.h"
#include "cicons.h"
#include "dlg.h"

static void mHelp_Info(TMenu *self, long KeyState, TMenuItem *smi) {
  TMainForm *mf = (TMainForm*)self->FormStruct;
  char buf[80];
	snprintf(buf, sizeof(buf), "ALDfile %s   (build-%d  %s)", 
			ALD_VERSION, build_v, build_date);
	Copyright_MsgBox_Show((TWins*)mf, buf);
}

/* ______________________ Create _____________________________________ */
void MenuHelp_Create(TMainForm *self) {
  TMenuItem *mi;

	self->mbHelp = TMenuButton_CreateS(self->pnlTop, self->mbFile, "Help");

	self->menuHelp = TMenu_Create((TWins*)self);
	self->mbHelp->menu = self->menuHelp;

	mi = TMenu_AddItem(self->menuHelp, "Info", 0, mHelp_Info);
	mi->pic = get_pic16_info(False);
}
