/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "appXbase.h"
#include "dlg.h"
#include "thexedit.h"


#define APPNAME "aldhex"

extern const int build_v;
extern const char *build_date;
extern const char *Help_Msg;

#define USE_SB2_COUNT 0


#define TCSelf TFormMain
typedef struct TFormMain {
  AlgTForm
  TWins *PanelTop;
  TWins *PanelTop2;
// ******* PanelTop *******
  TMenuButton *mbFile;
    TMenu *menuFile;
    TMenu *menuReopen;
    TMenuItem *miSave;
    TMenuItem *miSaveAs;
    TMenuItem *miSaveSize;

  TMenuButton *mbSetting;
    TMenu *menuSetting;
#if USE_SB2_COUNT
      TMenu *menuSB1max;
      TMenu *menuSB2max;
      TMenu *menuSB2count;
#endif /* USE_SB2_COUNT */

  TMenuButton *mbHelp;
    TMenu *menuHelp;
  TMenuButton *mbSave;
  TMenuButton *mbRedo;
  TMenuButton *mbUndo;

// ******* PanelTop *******
//  TEdit *edH16;
//  TEdit *edH32;
  TWins *lblOffset;
  TEdit *edOffset;
  TWins *lblSize;
  TEdit *edSize;

  TRepButton *buOffPosPos;
  TRepButton *buOffPos;
  TRepButton *buOffNeg;
  TRepButton *buOffNegNeg;

  TChkBox *cbEdit;
  TChkBox *cbInsert;

  TWins *pnlMiddle;
  THexEdit *HexEdit;
#if USE_SB2_COUNT
  TScrollBar *VSB2;
  int VSB2SegShift;
#endif /* USE_SB2_COUNT */
  TWins *PanelBottom;

  TFile_Dlg *File_Dlg;
  TFile_Dlg *FileSave_Dlg;

  bool IO_Run;
} TFormMain;
#undef TCSelf

extern void LoadFile(TFormMain *self, char *pfn);

/* ----------------- Menu File -------------------- */
#define REOPEN_ITEMS 10

extern void MenuFile_Create(TFormMain *self);

extern void MenuSetting_Create(TFormMain *self);
#if USE_SB2_COUNT
extern void miSBx_Sync(TFormMain *self);
#endif /* USE_SB2_COUNT */

extern void MenuHelp_Create(TFormMain *self);

extern void MenuSave_Create(TFormMain *self);

extern void File_Save(TFormMain *self);
extern void File_SaveAs(TFormMain *self);

extern void MenuUnRedo_Create(TFormMain *self);
extern void Chk_UnRedo(TFormMain *self);
