/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "aldpic.h"
#include "cicons.h"

static void mHelp_Info(TMenu *self, long KeyState, TMenuItem *smi) {
  TMainForm *fmain = (TMainForm*)self->FormStruct;
  char buf[80];
	snprintf(buf, sizeof(buf), "ALDpic%s   (build-%d  %s)", 
				ALD_VERSION, build_v, build_date);
	Copyright_MsgBox_Show((TWins*)fmain, buf);
}

/* ______________________ Create _____________________________________ */
void MenuHelp_Create(TMainForm *fmain) {
  TMenuItem *mi;

	fmain->mbHelp = TMenuButton_Create(fmain->PanelTop, fmain->mbFile);
	SetCaption((TWins*)fmain->mbHelp, "Help");
	Set_Parent((TWins*)fmain->mbHelp, fmain->PanelTop);

	fmain->menuHelp = TMenu_Create((TWins*)fmain);
	fmain->mbHelp->menu = fmain->menuHelp;

	mi = TMenu_AddItem(fmain->menuHelp, "Info", 0, mHelp_Info);
	mi->pic = get_pic16_info(False);
}
