/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "aldpic.h"

/* ______________________ Menu Ev ____________________________________ */
static void mViewColor_OnClick(TMenu *self, long KeyState, TMenuItem *smi) {
  TMainForm *fpic = (TMainForm*)self->FormStruct;
	smi->fu ^= miChecked;
	SetVisible(fpic->pnlColor, (smi->fu & miChecked));
}

static void mViewStatus_OnClick(TMenu *self, long KeyState, TMenuItem *smi) {
  TMainForm *fpic = (TMainForm*)self->FormStruct;
	smi->fu ^= miChecked;
	SetVisible(fpic->PanelBottom, (smi->fu & miChecked));
}

static void mViewFile_OnClick(TMenu *self, long KeyState, TMenuItem *smi) {
  TMainForm *fpic = (TMainForm*)self->FormStruct;
	smi->fu ^= miChecked;
	SetVisible(fpic->PanelList, (smi->fu & miChecked));
}

static void mViewFileSmall_OnClick(TMenu *self, long KeyState, TMenuItem *smi) {
  TMainForm *fpic = (TMainForm*)self->FormStruct;
  int m = 2;
  int w = 152;
	smi->fu ^= miChecked;
	if (smi->fu & miChecked) {m = 0x102; w = 120;}
	SetWidth(fpic->PanelList, w);
	TFileWin_SetColsArt(fpic->FileWin, m);
}

/* ______________________ Create _____________________________________ */
void MenuView_Create(TMainForm *fmain) {
//  TMenuItem *mi;

	fmain->mbView = TMenuButton_Create(fmain->PanelTop, fmain->mbFile);
	SetCaption((TWins*)fmain->mbView, "View");
	Set_Parent((TWins*)fmain->mbView, fmain->PanelTop);
	fmain->menuView = TMenu_Create((TWins*)fmain);
	fmain->mbView->menu = fmain->menuView;
	fmain->miViewColor = TMenu_AddItem(fmain->menuView, "Edit Color", miCanCheck, mViewColor_OnClick);
	fmain->miViewColor->pic = &fmain->picRGB;
	TMenu_AddItem(fmain->menuView, "Status", miCanCheck | miChecked, mViewStatus_OnClick);
	TMenu_AddItem(fmain->menuView, "-", 0, NULL);
	TMenu_AddItem(fmain->menuView, "File list", miCanCheck | miChecked, mViewFile_OnClick);
	TMenu_AddItem(fmain->menuView, "File list small", miCanCheck, mViewFileSmall_OnClick);
}
