/*
 Copyright (C) 2010-2014 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "TeCache.h"
#include "dlg.h"
#include "cicons.h"

static void mHelp_Info(TMenu *self, long KeyState, TMenuItem *smi) {
  TFormTeCache *mf = (TFormTeCache*)self->FormStruct;
  char buf[80];
	snprintf(buf, sizeof(buf), "TeCache %s   (build %d  %s)", 
				ALD_VERSION, build_v, build_date);
	Copyright_MsgBox_Show((TWins*)mf, buf);
}

/* ______________________ Create _____________________________________ */
void MenuHelp_Create(TFormTeCache *mf) {
  TMenuItem *mi;

	mf->mbHelp = TMenuButton_Create(mf->pnlTop, mf->mbFile);
	SetCaption((TWins*)mf->mbHelp, "Help");
	Set_Parent((TWins*)mf->mbHelp, mf->pnlTop);

	mf->menuHelp = TMenu_Create((TWins*)mf);
	mf->mbHelp->menu = mf->menuHelp;

	mi = TMenu_AddItem(mf->menuHelp, "Info", 0, mHelp_Info);
	mi->pic = get_pic16_info(False);
}
