/*
 Copyright (C) 2010-2013 by Hoefer Alfred

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version. 

 This program is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 See the GNU General Public License for more details. 

 You should have received a copy of the GNU General Public
 License along with this program; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 MA 02110, USA

 ----------------------------------------------------------------
 Licensed under GPL v2, see file COPYING in this tarball
*/

#include "appXbase.h"
#include "tlineedit.h"

TForm *mf;
TLineEdit *le;

static void OnAppStart() {
  int i;
  char *pc;
  char line[1024];
	for (i=0;i<1000;i++) {
	    pc = XGetAtomName(appXDat.dpy, i);
	    if (pc) {
		snprintf(line, sizeof(line), "%2d \"%s\"\n",i, pc);
		TLineEdit_Add(le, line);
		XFree(pc);
	    }
	}
}

static bool A_wmError(Display *dpy, XErrorEvent *e) {
  return True;
}

int main (int argc, char **argv) {

	initXapp(0, argc, argv);
	appXDat.OnAppStart = OnAppStart;

	mf =  TForm_Create(NULL);
	SetRC((TWins*)mf, 0, 0, 480, 460);
	mf->FormPosition = poDesigned;
	On_wmError = A_wmError;

	le = TLineEdit_CreateA((TWins*)mf, 0, 0, 200, 200, alClient);


	AppRun();
	return 0;
}
